| ISF 2.1 Intelligent Sensing Framework for Kinetis with Processor Expert

- Main Page
- Modules
- Data Structures
- Files

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Modules Pages
Data Structures | Macros | Typedefs | Functions
Serial_ISF_UART1 module documentation

## Data Structures
struct | Serial_ISF_UART1_TDeviceData

## Macros
#define | AVAILABLE_EVENTS_MASK (LDD_SERIAL_ON_BLOCK_RECEIVED | LDD_SERIAL_ON_BLOCK_SENT)
#define | Serial_ISF_UART1_PRPH_BASE_ADDRESS 0x4006A000U
#define | Serial_ISF_UART1_Init_METHOD_ENABLED
#define | Serial_ISF_UART1_SendBlock_METHOD_ENABLED
#define | Serial_ISF_UART1_ReceiveBlock_METHOD_ENABLED
#define | Serial_ISF_UART1_OnBlockReceived_EVENT_ENABLED
#define | Serial_ISF_UART1_OnBlockSent_EVENT_ENABLED
#define | ENABLED_TX_INT 0x01U
#define | BREAK_DETECTED 0x02U
#define | TX_COMPLETED 0x04U
#define | ENABLE_TX_COMPLETE 0x10U

## Typedefs
typedef Serial_ISF_UART1_TDeviceData * | Serial_ISF_UART1_TDeviceDataPtr

## Functions
LDD_TDeviceData * | Serial_ISF_UART1_Init (LDD_TUserData *UserDataPtr)
| Initializes the device. Allocates memory for the device data structure, allocates interrupt vectors and sets interrupt priority, sets pin routing, sets timing, etc. If the "Enable in init. code" is set to "yes" value then the device is also enabled(see the description of the Enable() method). In this case the Enable() method is not necessary and needn't to be generated. More...
LDD_TError | Serial_ISF_UART1_ReceiveBlock (LDD_TDeviceData *DeviceDataPtr, LDD_TData *BufferPtr, uint16_t Size)
| Specifies the number of data to receive. The method returns ERR_BUSY until the specified number of characters is received. Method [CancelBlockReception] can be used to cancel a running receive operation. If a receive operation is not in progress (the method was not called or a previous operation has already finished) all received characters will be lost without any notification. To prevent the loss of data call the method immediately after the last receive operation has finished (e.g. from the [OnBlockReceived] event). This method finishes immediately after calling it - it doesn't wait the end of data reception. Use event [OnBlockReceived] to check the end of data reception. More...
LDD_TError | Serial_ISF_UART1_SendBlock (LDD_TDeviceData *DeviceDataPtr, LDD_TData *BufferPtr, uint16_t Size)
| Sends a block of characters. The method returns ERR_BUSY when the previous block transmission is not completed. Method [CancelBlockTransmission] can be used to cancel a transmit operation. This method is available only if the transmitter property is enabled. This method finishes immediately after calling it - it doesn't wait the end of data transmission. Use event [OnBlockSent] to check the end of data transmission. More...
void | Serial_ISF_UART1_Interrupt (LDD_RTOS_TISRParameter _isrParameter)

## Detailed Description

## Macro Definition Documentation

#define AVAILABLE_EVENTS_MASK (LDD_SERIAL_ON_BLOCK_RECEIVED | LDD_SERIAL_ON_BLOCK_SENT)

The mask of available events used to enable/disable events during runtime.

Definition at line 134 of file Serial_ISF_UART1.c.

#define BREAK_DETECTED 0x02U

Break detected

Definition at line 144 of file Serial_ISF_UART1.h.

#define ENABLE_TX_COMPLETE 0x10U

Enable/Disable of TX complete detection. Used in the polling mode only

Definition at line 146 of file Serial_ISF_UART1.h.

#define ENABLED_TX_INT 0x01U

TX interrupt enabled

Definition at line 143 of file Serial_ISF_UART1.h.

Referenced by Serial_ISF_UART1_Interrupt(), and Serial_ISF_UART1_SendBlock().

#define Serial_ISF_UART1_Init_METHOD_ENABLED

Init method of the component Serial_ISF_UART1 is enabled (generated)

Definition at line 135 of file Serial_ISF_UART1.h.

#define Serial_ISF_UART1_OnBlockReceived_EVENT_ENABLED

OnBlockReceived event of the component Serial_ISF_UART1 is enabled (generated)

Definition at line 140 of file Serial_ISF_UART1.h.

#define Serial_ISF_UART1_OnBlockSent_EVENT_ENABLED

OnBlockSent event of the component Serial_ISF_UART1 is enabled (generated)

Definition at line 141 of file Serial_ISF_UART1.h.

#define Serial_ISF_UART1_PRPH_BASE_ADDRESS 0x4006A000U

Peripheral base address of a device allocated by the component. This constant can be used directly in PDD macros.

Definition at line 132 of file Serial_ISF_UART1.h.

#define Serial_ISF_UART1_ReceiveBlock_METHOD_ENABLED

ReceiveBlock method of the component Serial_ISF_UART1 is enabled (generated)

Definition at line 137 of file Serial_ISF_UART1.h.

#define Serial_ISF_UART1_SendBlock_METHOD_ENABLED

SendBlock method of the component Serial_ISF_UART1 is enabled (generated)

Definition at line 136 of file Serial_ISF_UART1.h.

#define TX_COMPLETED 0x04U

Transmission completed

Definition at line 145 of file Serial_ISF_UART1.h.

## Typedef Documentation

typedef Serial_ISF_UART1_TDeviceData* Serial_ISF_UART1_TDeviceDataPtr

Pointer to the device data structure.

Definition at line 161 of file Serial_ISF_UART1.h.

## Function Documentation

LDD_TDeviceData * Serial_ISF_UART1_Init | ( | LDD_TUserData * | UserDataPtr | ) |

Initializes the device. Allocates memory for the device data structure, allocates interrupt vectors and sets interrupt priority, sets pin routing, sets timing, etc. If the "Enable in init. code" is set to "yes" value then the device is also enabled(see the description of the Enable() method). In this case the Enable() method is not necessary and needn't to be generated.

Parameters

  UserDataPtr | - Pointer to the user or RTOS specific data. This pointer will be passed as an event or callback parameter.

Returns
  - Device data structure pointer.

Definition at line 160 of file Serial_ISF_UART1.c.

References Serial_ISF_UART1_TDeviceData::InpDataNumReq, Serial_ISF_UART1_TDeviceData::InpDataPtr, Serial_ISF_UART1_TDeviceData::InpRecvDataNum, Serial_ISF_UART1_TDeviceData::OutDataNumReq, Serial_ISF_UART1_TDeviceData::OutDataPtr, Serial_ISF_UART1_TDeviceData::OutSentDataNum, Serial_ISF_UART1_TDeviceData::SavedISRSettings, Serial_ISF_UART1_TDeviceData::SerFlag, Serial_ISF_UART1_Interrupt(), and Serial_ISF_UART1_TDeviceData::UserDataPtr.

Here is the call graph for this function:

void Serial_ISF_UART1_Interrupt | ( | LDD_RTOS_TISRParameter | _isrParameter | ) |

Definition at line 421 of file Serial_ISF_UART1.c.

References ENABLED_TX_INT, and Serial_ISF_UART1_TDeviceData::SerFlag.

Referenced by Serial_ISF_UART1_Init().

Here is the caller graph for this function:

LDD_TError Serial_ISF_UART1_ReceiveBlock | ( | LDD_TDeviceData * | DeviceDataPtr,
|  | LDD_TData * | BufferPtr,
|  | uint16_t | Size
| ) |  |

Specifies the number of data to receive. The method returns ERR_BUSY until the specified number of characters is received. Method [CancelBlockReception] can be used to cancel a running receive operation. If a receive operation is not in progress (the method was not called or a previous operation has already finished) all received characters will be lost without any notification. To prevent the loss of data call the method immediately after the last receive operation has finished (e.g. from the [OnBlockReceived] event). This method finishes immediately after calling it - it doesn't wait the end of data reception. Use event [OnBlockReceived] to check the end of data reception.

Parameters

  DeviceDataPtr | - Device data structure pointer returned by [Init] method.
  BufferPtr | - Pointer to a buffer where received characters will be stored. In case of 8bit character width each character in buffer occupies 1 byte. In case of 9 and more bit long character width each character in buffer occupies 2 bytes.
  Size | - Number of characters to receive

Returns
  - Error code, possible codes: ERR_OK - OK ERR_SPEED - The component does not work in the active clock configuration. ERR_PARAM_SIZE - Parameter Size is out of expected range. ERR_DISABLED - The component or device is disabled. ERR_BUSY - The previous receive request is pending.

Definition at line 279 of file Serial_ISF_UART1.c.

References Serial_ISF_UART1_TDeviceData::InpDataNumReq, Serial_ISF_UART1_TDeviceData::InpDataPtr, and Serial_ISF_UART1_TDeviceData::InpRecvDataNum.

LDD_TError Serial_ISF_UART1_SendBlock | ( | LDD_TDeviceData * | DeviceDataPtr,
|  | LDD_TData * | BufferPtr,
|  | uint16_t | Size
| ) |  |

Sends a block of characters. The method returns ERR_BUSY when the previous block transmission is not completed. Method [CancelBlockTransmission] can be used to cancel a transmit operation. This method is available only if the transmitter property is enabled. This method finishes immediately after calling it - it doesn't wait the end of data transmission. Use event [OnBlockSent] to check the end of data transmission.

Parameters

  DeviceDataPtr | - Device data structure pointer returned by [Init] method.
  BufferPtr | - Pointer to a buffer from where data will be sent. In case of 8bit character width each character in buffer occupies 1 byte. In case of 9 and more bit long character width each character in buffer occupies 2 bytes.
  Size | - Number of characters in the buffer.

Returns
  - Error code, possible codes: ERR_OK - OK ERR_SPEED - The component does not work in the active clock configuration. ERR_PARAM_SIZE - Parameter Size is out of expected range. ERR_DISABLED - The component or device is disabled. ERR_BUSY - The previous transmit request is pending.

Definition at line 338 of file Serial_ISF_UART1.c.

References ENABLED_TX_INT, Serial_ISF_UART1_TDeviceData::OutDataNumReq, Serial_ISF_UART1_TDeviceData::OutDataPtr, Serial_ISF_UART1_TDeviceData::OutSentDataNum, and Serial_ISF_UART1_TDeviceData::SerFlag.

- © Freescale Semiconductor, Inc. 2015. All Rights Reserved.